* {
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    padding: 0;
    overflow-x: hidden;
}


 /* WATERS PAGE */

#waters-page {
    display: flex;
    align-items: center;
    flex-direction: column;
    width: 100%;
}

/* HERO ELEMENTS */

.hero-waters {
    display: flex;
    background-size: cover;
    background-color: #8BCDDC;
    height: 100vh;
    width: 100%;
}

.hero-waters h2 {
    width: 100%;
    margin-right: 100px;
    margin-bottom: 200px;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: 600;
}

.hero-waters .side-bar {
    color: rgb(255, 255, 255);
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-top: 300px;
}

.hero-waters .side-bar a {
    color: rgb(255, 255, 255);
}

.hero-waters .side-bar ul {
    margin: 0;
    padding: 0;
}

.hero-waters h2 {
    margin: 0;
    padding: 0;
    line-height: 90%;
    user-select: none;
}

/* LAKE ELEMENTS */

.lake-section {
    height: 100vh;
    width: 100%;
    display: flex;
    flex-direction: row;
}

.lake-section h3{
    font-size: 4vmin;
    margin: 0;
    padding: 0;
}

.lake-content {
    width: 50%;
    display: flex;
    flex-direction: column;
    padding: 20px;
}

.lake-image {
    width: 50%;
}

.lake-image img {
    width: 100%;
    height: 100%;
    background-color: #1D2071;
}

/* RIVER ELEMENTS */

#river .content {
    width: 100%;
    height: 100vh;
    display: grid;
    flex-shrink: 0;
    place-items: center;
}

#river {
    display: flex;
    width: 100vw;
    overflow-x: hidden;
    background-size: cover;
    background-image: url(../assets/imgs/river-bg.png);
}

#river .content p {
    padding: 70px;
    width: 60%;
    color: #ffffff;
}

#river .content:nth-child(1) {
    background: #ffffff;
    margin: 0;
    padding: 0;
    place-items: end;
    align-items: center;
}

#river .content:nth-child(1) h3{
    transform: rotate(-90deg);
    font-size: 17vmin;
    margin: 0;
    padding: 0;
}

#river .content:nth-child(2) {
    place-items: start;
}

#river .content:nth-child(3) {
    text-align: right;
}

#river .content:nth-child(4) {
    place-items: end;
}

/* SEA ELEMENTS */

#sea {
    padding: 100px;
    background-image: url(../assets/imgs/sea-bg.png);
    background-size: cover;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 100vh;
}

#sea .heading {
    width: 35%;
    display: flex;
    flex-direction: column;
    align-items: center;
    color: #ffffff;
    text-align: center;
    margin-top: 300px;
    margin-bottom: 100px;
}

#sea .heading h3 {
    font-size: 6vmin;
    margin: 0;
}

.fish-tank {
    display: flex;
    flex-direction: column;
    width: 90%;
    align-items: center;
}

.fish {
    display: flex;
    align-items: center;
    width: 60vmin;
    max-width: 700px;
    color: #ffffff;
    padding: 20px;
}

.fish-pic {
    width: 50%;
}

.fish-pic img {
    width: 100%;
    height: auto;
}

.fish-info {
    width: 50%;
    display: flex;
    flex-direction: column;
}

.fish-depth {
    display: flex;
    width: 100%;
    align-items: center;
}

.depth {
    margin-left: 50px;
}

.fish:nth-child(1) {
    margin-right: 50%;
}
.fish:nth-child(2) {
    margin-left: 50%;
    flex-direction: row-reverse;
}
.fish:nth-child(3) {
    margin-right: 50%;
}
.fish:nth-child(4) {
    margin-left: 50%;
    flex-direction: row-reverse;
}
.fish:nth-child(5) {
    margin-right: 50%;
}
.fish:nth-child(6) {
    margin-left: 50%;
    flex-direction: row-reverse;
}

/* OCEAN ELEMENTS */

#ocean {
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
    z-index: 600;
    background-color: #E7EBEE;
}

#ocean h3 {
    font-size: 6vmin;
    width: 40%;
    margin: 0;
    user-select: none;
    text-align: center;
}

#ocean p {
    width: 40%;
    text-align: center;
    user-select: none;
}

.drag-item {
    width: 30vmin;
    height: 30vmin;
    position: absolute;
    cursor: pointer;
    z-index: 1;
    /* mix-blend-mode:hard-light; */
    /* this looks cool */
}

.drag-item img {
    width: 100%;
    height: auto;
}

/* MEDIA QUERIES */


@media all and (max-width: 1100px) {
    .lake-section {
        height: 100vh;
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    #sea .heading {
        width: 70%;
    }
    
    
    .lake-content {
        width: 100%;
        display: flex;
        flex-direction: column;
        padding: 20px;
    }
    
    .lake-image {
        height: 50%;
        width: 100%;
    }
 }

 @media all and (max-width: 750px) {
    #river .content p {
        width: 80%;
    }

    #sea .heading {
        width: 70%;
    }

    .fish:nth-child(1) {
        margin-right: 20%;
    }
    .fish:nth-child(2) {
        margin-left: 20%;
        flex-direction: row-reverse;
    }
    .fish:nth-child(3) {
        margin-right: 20%;
    }
    .fish:nth-child(4) {
        margin-left: 20%;
        flex-direction: row-reverse;
    }
    .fish:nth-child(5) {
        margin-right: 20%;
    }
    .fish:nth-child(6) {
        margin-left: 20%;
        flex-direction: row-reverse;
    }

    #ocean h3 {
        width: 70%;
        text-align: center;
    }
    
    #ocean p {
        width: 70%;
    }
 }

 @media all and (max-width: 500px) {
    #river .content p {
        width: 90%;
        height: 40%;
    }
    
    #sea .heading {
        width: 90%;
    }

    .fish:nth-child(1) {
        margin-right: 0;
    }
    .fish:nth-child(2) {
        margin-left: 0;
        flex-direction: row-reverse;
    }
    .fish:nth-child(3) {
        margin-right: 0;
    }
    .fish:nth-child(4) {
        margin-left: 0;
        flex-direction: row-reverse;
    }
    .fish:nth-child(5) {
        margin-right: 0;
    }
    .fish:nth-child(6) {
        margin-left: 0;
        flex-direction: row-reverse;
    }

    #ocean h3 {
        width: 90%;
        text-align: center;
    }
    
    #ocean p {
        width: 90%;
    }
 }


